fitscheck(1)

NAME
fitscheck - script to detect and fix FITS standards violations

SYNOPSIS
fitscheck [OPTION]... [FILE]...

DESCRIPTION

fitscheck is a command line script based on pyfits for verifying and updating the CHECKSUM and DATASUM keywords of FITS files. itscheck can also detect and often fix other FITS standards violations. fitscheck facilitates re-writing the non-standard checksums originally generated by pyfits with standard checksums which will interoperate with cfitsio.

fitscheck will refuse to write new checksums if the checksum keywords are missing or their values are bad. Use --force to write new checksums regardless of whether or not they currently exist or pass. Use --ignore-missing to tolerate missing checksum keywords without comment.

OPTIONS

-h, --help
    Display terse usage information (help).

-k [standard | nonstandard | either | none], --checksum=[standard | nonstandard | either | none]
    Choose FITS checksum mode or none. Defaults to standard.

-w, --write
    Write out file checksums and/or FITS compliance fixes.

-f, --force
    Do file update even if original checksum was bad.

-c, --compliance
    Do FITS compliance checking, fix if possible.

-i, --ignore-missing
    Ignore missing checksums.

-v, --verbose
    Generate extra output.

EXAMPLES
% fitscheck --checksum either --write *.fits
Verify and update checksums, tolerating non-standard checksums, updating to standard checksum.

% fitscheck --write --force *.fits
Write new checksums, even if existing checksums are bad or missing. % fitscheck --compliance *.fits
Verify standard checksums and FITS compliance without changing the files. % fitscheck --checksum nonstandard *.fits
Verify original nonstandard checksums only. % fitscheck --checksum none --compliance --write *.fits
Only check and fix compliance problems, ignoring checksums. % fitscheck *.fits
Verify standard interoperable checksums. % fitscheck --checksum none --write *.fits
Delete checksum keywords.